PropertySet.PropertyRef (Apache Ant API)
Date: 2018-09-11

Package org.apache.tools.ant.types

## Class PropertySet.PropertyRef

- java.lang.Object
- - org.apache.tools.ant.types.PropertySet.PropertyRef

- Enclosing class:
    PropertySet

      public static class PropertySet.PropertyRef
      extends java.lang.Object

  This is a nested class containing a reference to some properties and optionally a source of properties.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyRef()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setBuiltin​(PropertySet.BuiltinPropertySetName b)` | Builtin property names - all, system or commandline.
    `void` | `setName​(java.lang.String name)` | Set the name.
    `void` | `setPrefix​(java.lang.String prefix)` | Set the prefix to use.
    `void` | `setRegex​(java.lang.String regex)` | Set the regular expression to use to filter the properties.
    `java.lang.String` | `toString()` | A debug toString().

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyRef

          public PropertyRef()

  - ### Method Detail

    - #### setName

          public void setName​(java.lang.String name)

      Set the name.
      Parameters:
        `name` - a `String` value.

    - #### setRegex

          public void setRegex​(java.lang.String regex)

      Set the regular expression to use to filter the properties.
      Parameters:
        `regex` - a regular expression.

    - #### setPrefix

          public void setPrefix​(java.lang.String prefix)

      Set the prefix to use.
      Parameters:
        `prefix` - a `String` value.

    - #### setBuiltin

          public void setBuiltin​(PropertySet.BuiltinPropertySetName b)

      Builtin property names - all, system or commandline.
      Parameters:
        `b` - an enumerated `BuildinPropertySetName` value.

    - #### toString

          public java.lang.String toString()

      A debug toString().
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string version of this object.